- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

SSL_SESSION_get_protocol_version - retrieve session protocol version

# SYNOPSIS

     #include <openssl/ssl.h>

     int SSL_SESSION_get_protocol_version(const SSL_SESSION *s);

# DESCRIPTION

SSL_SESSION_get_protocol_version() returns the protocol version number used by session s.

# RETURN VALUES

SSL_SESSION_get_protocol_version() returns a number indicating the protocol version used for the session; this number matches the constants e.g. TLS1_VERSION or TLS1_2_VERSION.

Note that the SSL_SESSION_get_protocol_version() function does not perform a null check on the provided session s pointer.

# SEE ALSO

HISTORY

SSL_SESSION_get_protocol_version() was first added to OpenSSL 1.1.0

# COPYRIGHT

Copyright 2001-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.